@charset "UTF-8";
/* CSS Document */

body{
    background-image: url("../Imgs/Fondo General.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

*{
	padding: 0px;
	margin: 0px;
	box-sizing: border-box;
	color: #fffdf3;
}

body{
	font-family: "Geologica", sans-serif;
  margin: 0;
  padding: 0;
  overflow-x: hidden; 
}


header{
	
	width: 100%;
	height: 80px;
	background: #f1f0ed;
	position: relative;
	left: 0px;
	top: 0px;
	z-index: 100000000;
	
}

header .contenedor{
	width: 100%;
	height: 80px;
	position: absolute;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-wrap: wrap;
	
	
}

#logo {
	width: 100%;
	height: auto;
	top: 0px;
	position: absolute;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-wrap: wrap;
}

.imglogo{
	width: 100%;
	height: auto;
	max-width: 250px;
	margin: 8px;
}

#menu-bar {
  display: none;
}

.nav-links {
	width: 100%;
	height: auto;
	list-style: none;
	justify-content: center;
	align-items: center;
	display: flex;
	gap: 100px;
	margin-top: 80px;
}

.nav-links a {
	color: #555;
	text-decoration: none;
	font-size: 25px;
	font-weight: 400;
	
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px 20px;
background: #f1f0ed;
	border-radius: 20px;
}

.icon-menu{
	font-size: 35px;
	color: #032621;
	left: 10px;
	justify-content: flex-start;
	align-items: flex-start;
	display: flex;
	flex-wrap: wrap;
	position: absolute;
}

footer{
	width: 100%;
	height: auto;
	padding: 25px 0px;
	display: flex;
	justify-content: center;
	margin-top: 10px;
}

footer .contenedor{
	width: 100%;
	height: auto;
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
	background-color:#f1f0ed;
	margin-top: 10px;
}

.derechos{
	width: 100%;
	text-align: center;
	font-size: 20px;
	color: #67645f;
}

.redes{
	width: 100%;
	text-align: center;
	font-size: 30px;
}

.redes a{
	text-decoration: none;
	color: #67645f;
}

#footer {
    width: 100%;
    padding: 25px 0;
    margin-top: 10px;
}

#footer .contenedor {
    width: 90%;
    max-width: 1400px;
    margin: 0 auto;

    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 0;
}



.derechos {
    width: auto;

    color: #67645f;
    font-size: 20px;
    font-weight: 500;

    text-align: left;
}



.redes {
    width: auto;

    display: flex;
    align-items: center;
    justify-content: flex-end;

    gap: 15px;

    font-size: 30px;
}

.redes a {
    color: #67645f;
    text-decoration: none;
}


/* Hover opcional */

.redes a:hover {
    color: #7fc3df;
}


#footer {
    width: 100%;
    padding: 25px 0;
    margin-top: 10px;
}

#footer .contenedor {
    width: 90%;
    max-width: 1400px;
    margin: 0 auto;

    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 0;
}



@media screen and (max-width: 768px) {

    #footer .contenedor {
        flex-direction: column;
        justify-content: center;
        align-items: center;

        gap: 10px;
    }

    .derechos {
        text-align: center;
    }

    .redes {
        justify-content: center;
    }
}



@media (max-width: 1000px) {
  .nav-links {
    position: fixed;
	justify-content: flex-start;
	align-items: flex-start;
    top: 0px;
    left: 0px;
    background: rgba(241,240,237,1);
    width: 100%;
	height: 100vh;
	gap: 20px;
    flex-direction: column;
    display: none;
	 z-index: 100000;
	 
	}
	
	.nav-links a{
		width: 100%;
		margin-top: 10px;
		color: #67645f;
		margin-left: 20px;
	}
  }

@media (min-width: 1024px) {
  .icon-menu{
    display: none;
	justify-content: flex-start;
	}
}

@media screen and (max-width: 1024px) {

    header {
        position: relative !important;
        top: auto !important;
    }

    header .contenedor {
        position: relative !important;
    }

	
	header{
		width: 100%;
		position: fixed;
		top: 0px;
		z-index: 10000;
	}
	
	logo .imglogo{
		height: 65px;
		width: 260px;
		position: fixed;
	}
}

@media (max-width:1024px){
	
	footer .contenedor{
		width: 1000px;
		justify-content: space-between;
		position: relative;
	}
	.derechos, .redes{ 
		width: auto;
}
}

#menu-bar:checked ~ .nav-links {
    display: flex;
  }
